<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Class hk.quantr.mxgraph.util.svg.ParseException (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class hk.quantr.mxgraph.util.svg.ParseException (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../ParseException.html" title="class in hk.quantr.mxgraph.util.svg">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class hk.quantr.mxgraph.util.svg.ParseException" class="title">Uses of Class<br>hk.quantr.mxgraph.util.svg.ParseException</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../ParseException.html" title="class in hk.quantr.mxgraph.util.svg">ParseException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.util.svg">hk.quantr.mxgraph.util.svg</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.util.svg">
<!--   -->
</a>
<h3>Uses of <a href="../ParseException.html" title="class in hk.quantr.mxgraph.util.svg">ParseException</a> in <a href="../package-summary.html">hk.quantr.mxgraph.util.svg</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">hk.quantr.mxgraph.util.svg</a> with parameters of type <a href="../ParseException.html" title="class in hk.quantr.mxgraph.util.svg">ParseException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DefaultErrorHandler.</span><code><span class="memberNameLink"><a href="../DefaultErrorHandler.html#error(hk.quantr.mxgraph.util.svg.ParseException)">error</a></span>&#8203;(<a href="../ParseException.html" title="class in hk.quantr.mxgraph.util.svg">ParseException</a>&nbsp;e)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../ErrorHandler.html#error(hk.quantr.mxgraph.util.svg.ParseException)"><code>ErrorHandler.error(ParseException)</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">ErrorHandler.</span><code><span class="memberNameLink"><a href="../ErrorHandler.html#error(hk.quantr.mxgraph.util.svg.ParseException)">error</a></span>&#8203;(<a href="../ParseException.html" title="class in hk.quantr.mxgraph.util.svg">ParseException</a>&nbsp;e)</code></th>
<td class="colLast">
<div class="block">Called when a parse error occurs.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">hk.quantr.mxgraph.util.svg</a> that throw <a href="../ParseException.html" title="class in hk.quantr.mxgraph.util.svg">ParseException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#_parsel(boolean)">_parsel</a></span>&#8203;(boolean&nbsp;expectNumber)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#_parseL(boolean)">_parseL</a></span>&#8203;(boolean&nbsp;expectNumber)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#arcAbs(float,float,float,boolean,boolean,float,float)">arcAbs</a></span>&#8203;(float&nbsp;rx,
      float&nbsp;ry,
      float&nbsp;xAxisRotation,
      boolean&nbsp;largeArcFlag,
      boolean&nbsp;sweepFlag,
      float&nbsp;x,
      float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#arcAbs(float,float,float,boolean,boolean,float,float)"><code>PathHandler.arcAbs(float,float,float,boolean,boolean,float,float)</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#arcAbs(float,float,float,boolean,boolean,float,float)">arcAbs</a></span>&#8203;(float&nbsp;rx,
      float&nbsp;ry,
      float&nbsp;xAxisRotation,
      boolean&nbsp;largeArcFlag,
      boolean&nbsp;sweepFlag,
      float&nbsp;x,
      float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when an absolute elliptical arc command has been parsed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#arcRel(float,float,float,boolean,boolean,float,float)">arcRel</a></span>&#8203;(float&nbsp;rx,
      float&nbsp;ry,
      float&nbsp;xAxisRotation,
      boolean&nbsp;largeArcFlag,
      boolean&nbsp;sweepFlag,
      float&nbsp;x,
      float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#arcRel(float,float,float,boolean,boolean,float,float)"><code>PathHandler.arcRel(float,float,float,boolean,boolean,float,float)</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#arcRel(float,float,float,boolean,boolean,float,float)">arcRel</a></span>&#8203;(float&nbsp;rx,
      float&nbsp;ry,
      float&nbsp;xAxisRotation,
      boolean&nbsp;largeArcFlag,
      boolean&nbsp;sweepFlag,
      float&nbsp;x,
      float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when a relative elliptical arc command has been parsed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#closePath()">closePath</a></span>()</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#closePath()"><code>PathHandler.closePath()</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#closePath()">closePath</a></span>()</code></th>
<td class="colLast">
<div class="block">Invoked when a closepath has been parsed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.awt.Shape</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#createShape(java.lang.String,int)">createShape</a></span>&#8203;(java.lang.String&nbsp;text,
           int&nbsp;wr)</code></th>
<td class="colLast">
<div class="block">Utility method for creating an ExtendedGeneralPath.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.awt.Shape</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPolygonProducer.</span><code><span class="memberNameLink"><a href="../AWTPolygonProducer.html#createShape(java.lang.String,int)">createShape</a></span>&#8203;(java.lang.String&nbsp;text,
           int&nbsp;wr)</code></th>
<td class="colLast">
<div class="block">Utility method for creating an ExtendedGeneralPath.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.awt.Shape</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPolylineProducer.</span><code><span class="memberNameLink"><a href="../AWTPolylineProducer.html#createShape(java.lang.String,int)">createShape</a></span>&#8203;(java.lang.String&nbsp;text,
           int&nbsp;wr)</code></th>
<td class="colLast">
<div class="block">Utility method for creating an ExtendedGeneralPath.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#curvetoCubicAbs(float,float,float,float,float,float)">curvetoCubicAbs</a></span>&#8203;(float&nbsp;x1,
               float&nbsp;y1,
               float&nbsp;x2,
               float&nbsp;y2,
               float&nbsp;x,
               float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#curvetoCubicAbs(float,float,float,float,float,float)"><code>PathHandler.curvetoCubicAbs(float,float,float,float,float,float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#curvetoCubicAbs(float,float,float,float,float,float)">curvetoCubicAbs</a></span>&#8203;(float&nbsp;x1,
               float&nbsp;y1,
               float&nbsp;x2,
               float&nbsp;y2,
               float&nbsp;x,
               float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when an absolute cubic bezier curve command has been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#curvetoCubicRel(float,float,float,float,float,float)">curvetoCubicRel</a></span>&#8203;(float&nbsp;x1,
               float&nbsp;y1,
               float&nbsp;x2,
               float&nbsp;y2,
               float&nbsp;x,
               float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#curvetoCubicRel(float,float,float,float,float,float)"><code>PathHandler.curvetoCubicRel(float,float,float,float,float,float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#curvetoCubicRel(float,float,float,float,float,float)">curvetoCubicRel</a></span>&#8203;(float&nbsp;x1,
               float&nbsp;y1,
               float&nbsp;x2,
               float&nbsp;y2,
               float&nbsp;x,
               float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when a relative cubic bezier curve command has been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#curvetoCubicSmoothAbs(float,float,float,float)">curvetoCubicSmoothAbs</a></span>&#8203;(float&nbsp;x2,
                     float&nbsp;y2,
                     float&nbsp;x,
                     float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements
 <a href="../PathHandler.html#curvetoCubicSmoothAbs(float,float,float,float)"><code>PathHandler.curvetoCubicSmoothAbs(float,float,float,float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#curvetoCubicSmoothAbs(float,float,float,float)">curvetoCubicSmoothAbs</a></span>&#8203;(float&nbsp;x2,
                     float&nbsp;y2,
                     float&nbsp;x,
                     float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when an absolute smooth cubic bezier curve command has
 been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#curvetoCubicSmoothRel(float,float,float,float)">curvetoCubicSmoothRel</a></span>&#8203;(float&nbsp;x2,
                     float&nbsp;y2,
                     float&nbsp;x,
                     float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements
 <a href="../PathHandler.html#curvetoCubicSmoothRel(float,float,float,float)"><code>PathHandler.curvetoCubicSmoothRel(float,float,float,float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#curvetoCubicSmoothRel(float,float,float,float)">curvetoCubicSmoothRel</a></span>&#8203;(float&nbsp;x2,
                     float&nbsp;y2,
                     float&nbsp;x,
                     float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when a relative smooth cubic bezier curve command has
 been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#curvetoQuadraticAbs(float,float,float,float)">curvetoQuadraticAbs</a></span>&#8203;(float&nbsp;x1,
                   float&nbsp;y1,
                   float&nbsp;x,
                   float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements
 <a href="../PathHandler.html#curvetoQuadraticAbs(float,float,float,float)"><code>PathHandler.curvetoQuadraticAbs(float,float,float,float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#curvetoQuadraticAbs(float,float,float,float)">curvetoQuadraticAbs</a></span>&#8203;(float&nbsp;x1,
                   float&nbsp;y1,
                   float&nbsp;x,
                   float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when an absolute quadratic bezier curve command has been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#curvetoQuadraticRel(float,float,float,float)">curvetoQuadraticRel</a></span>&#8203;(float&nbsp;x1,
                   float&nbsp;y1,
                   float&nbsp;x,
                   float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements
 <a href="../PathHandler.html#curvetoQuadraticRel(float,float,float,float)"><code>PathHandler.curvetoQuadraticRel(float,float,float,float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#curvetoQuadraticRel(float,float,float,float)">curvetoQuadraticRel</a></span>&#8203;(float&nbsp;x1,
                   float&nbsp;y1,
                   float&nbsp;x,
                   float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when a relative quadratic bezier curve command has been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#curvetoQuadraticSmoothAbs(float,float)">curvetoQuadraticSmoothAbs</a></span>&#8203;(float&nbsp;x,
                         float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#curvetoQuadraticSmoothAbs(float,float)"><code>PathHandler.curvetoQuadraticSmoothAbs(float,float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#curvetoQuadraticSmoothAbs(float,float)">curvetoQuadraticSmoothAbs</a></span>&#8203;(float&nbsp;x,
                         float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when an absolute smooth quadratic bezier curve command
 has been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#curvetoQuadraticSmoothRel(float,float)">curvetoQuadraticSmoothRel</a></span>&#8203;(float&nbsp;x,
                         float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#curvetoQuadraticSmoothRel(float,float)"><code>PathHandler.curvetoQuadraticSmoothRel(float,float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#curvetoQuadraticSmoothRel(float,float)">curvetoQuadraticSmoothRel</a></span>&#8203;(float&nbsp;x,
                         float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when a relative smooth quadratic bezier curve command
 has been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected abstract void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AbstractParser.</span><code><span class="memberNameLink"><a href="../AbstractParser.html#doParse()">doParse</a></span>()</code></th>
<td class="colLast">
<div class="block">Method responsible for actually parsing data after AbstractParser
 has initialized itself.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#doParse()">doParse</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PointsParser.</span><code><span class="memberNameLink"><a href="../PointsParser.html#doParse()">doParse</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses the current stream.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#endPath()">endPath</a></span>()</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#endPath()"><code>PathHandler.endPath()</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#endPath()">endPath</a></span>()</code></th>
<td class="colLast">
<div class="block">Invoked when the path ends.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPolygonProducer.</span><code><span class="memberNameLink"><a href="../AWTPolygonProducer.html#endPoints()">endPoints</a></span>()</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PointsHandler.html#endPoints()"><code>PointsHandler.endPoints()</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPolylineProducer.</span><code><span class="memberNameLink"><a href="../AWTPolylineProducer.html#endPoints()">endPoints</a></span>()</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PointsHandler.html#endPoints()"><code>PointsHandler.endPoints()</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PointsHandler.</span><code><span class="memberNameLink"><a href="../PointsHandler.html#endPoints()">endPoints</a></span>()</code></th>
<td class="colLast">
<div class="block">Invoked when the points attribute ends.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DefaultErrorHandler.</span><code><span class="memberNameLink"><a href="../DefaultErrorHandler.html#error(hk.quantr.mxgraph.util.svg.ParseException)">error</a></span>&#8203;(<a href="../ParseException.html" title="class in hk.quantr.mxgraph.util.svg">ParseException</a>&nbsp;e)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../ErrorHandler.html#error(hk.quantr.mxgraph.util.svg.ParseException)"><code>ErrorHandler.error(ParseException)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">ErrorHandler.</span><code><span class="memberNameLink"><a href="../ErrorHandler.html#error(hk.quantr.mxgraph.util.svg.ParseException)">error</a></span>&#8203;(<a href="../ParseException.html" title="class in hk.quantr.mxgraph.util.svg">ParseException</a>&nbsp;e)</code></th>
<td class="colLast">
<div class="block">Called when a parse error occurs.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#linetoAbs(float,float)">linetoAbs</a></span>&#8203;(float&nbsp;x,
         float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#linetoAbs(float,float)"><code>PathHandler.linetoAbs(float,float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#linetoAbs(float,float)">linetoAbs</a></span>&#8203;(float&nbsp;x,
         float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when an absolute line command has been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#linetoHorizontalAbs(float)">linetoHorizontalAbs</a></span>&#8203;(float&nbsp;x)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#linetoHorizontalAbs(float)"><code>PathHandler.linetoHorizontalAbs(float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#linetoHorizontalAbs(float)">linetoHorizontalAbs</a></span>&#8203;(float&nbsp;x)</code></th>
<td class="colLast">
<div class="block">Invoked when an horizontal absolute line command has been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#linetoHorizontalRel(float)">linetoHorizontalRel</a></span>&#8203;(float&nbsp;x)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#linetoHorizontalRel(float)"><code>PathHandler.linetoHorizontalRel(float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#linetoHorizontalRel(float)">linetoHorizontalRel</a></span>&#8203;(float&nbsp;x)</code></th>
<td class="colLast">
<div class="block">Invoked when an horizontal relative line command has been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#linetoRel(float,float)">linetoRel</a></span>&#8203;(float&nbsp;x,
         float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#linetoRel(float,float)"><code>PathHandler.linetoRel(float,float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#linetoRel(float,float)">linetoRel</a></span>&#8203;(float&nbsp;x,
         float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when a relative line command has been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#linetoVerticalAbs(float)">linetoVerticalAbs</a></span>&#8203;(float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#linetoVerticalAbs(float)"><code>PathHandler.linetoVerticalAbs(float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#linetoVerticalAbs(float)">linetoVerticalAbs</a></span>&#8203;(float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when a vertical absolute line command has been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#linetoVerticalRel(float)">linetoVerticalRel</a></span>&#8203;(float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#linetoVerticalRel(float)"><code>PathHandler.linetoVerticalRel(float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#linetoVerticalRel(float)">linetoVerticalRel</a></span>&#8203;(float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when a vertical relative line command has been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#movetoAbs(float,float)">movetoAbs</a></span>&#8203;(float&nbsp;x,
         float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#movetoAbs(float,float)"><code>PathHandler.movetoAbs(float,float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#movetoAbs(float,float)">movetoAbs</a></span>&#8203;(float&nbsp;x,
         float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when an absolute moveto command has been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#movetoRel(float,float)">movetoRel</a></span>&#8203;(float&nbsp;x,
         float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#movetoRel(float,float)"><code>PathHandler.movetoRel(float,float)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#movetoRel(float,float)">movetoRel</a></span>&#8203;(float&nbsp;x,
         float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when a relative moveto command has been parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AbstractParser.</span><code><span class="memberNameLink"><a href="../AbstractParser.html#parse(java.lang.String)">parse</a></span>&#8203;(java.lang.String&nbsp;s)</code></th>
<td class="colLast">
<div class="block">Parses the given string.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Parser.</span><code><span class="memberNameLink"><a href="../Parser.html#parse(java.lang.String)">parse</a></span>&#8203;(java.lang.String&nbsp;s)</code></th>
<td class="colLast">
<div class="block">Parses the given string</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parsea()">parsea</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'a' command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parseA()">parseA</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'A' command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parsec()">parsec</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'c' command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parseC()">parseC</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'C' command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected float</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">NumberParser.</span><code><span class="memberNameLink"><a href="../NumberParser.html#parseFloat()">parseFloat</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses the content of the buffer and converts it to a float.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parseh()">parseh</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'h' command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parseH()">parseH</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'H' command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parsel()">parsel</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'l' command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parseL()">parseL</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'L' command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parsem()">parsem</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'm' command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parseM()">parseM</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'M' command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parseq()">parseq</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'q' command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parseQ()">parseQ</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'Q' command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parses()">parses</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 's' command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parseS()">parseS</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'S' command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parset()">parset</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 't' command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parseT()">parseT</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'T' command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parsev()">parsev</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'v' command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#parseV()">parseV</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses a 'V' command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPolylineProducer.</span><code><span class="memberNameLink"><a href="../AWTPolylineProducer.html#point(float,float)">point</a></span>&#8203;(float&nbsp;x,
     float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PointsHandler.html#point(float,float)"><code>PointsHandler.point(float,float)</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PointsHandler.</span><code><span class="memberNameLink"><a href="../PointsHandler.html#point(float,float)">point</a></span>&#8203;(float&nbsp;x,
     float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Invoked when a point has been parsed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AbstractParser.</span><code><span class="memberNameLink"><a href="../AbstractParser.html#reportError(java.lang.String,java.lang.Object%5B%5D)">reportError</a></span>&#8203;(java.lang.String&nbsp;key,
           java.lang.Object[]&nbsp;args)</code></th>
<td class="colLast">
<div class="block">Signals an error to the error handler.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#reportUnexpected(int)">reportUnexpected</a></span>&#8203;(int&nbsp;ch)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathParser.</span><code><span class="memberNameLink"><a href="../PathParser.html#skipSubPath()">skipSubPath</a></span>()</code></th>
<td class="colLast">
<div class="block">Skips a sub-path.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPathProducer.</span><code><span class="memberNameLink"><a href="../AWTPathProducer.html#startPath()">startPath</a></span>()</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PathHandler.html#startPath()"><code>PathHandler.startPath()</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PathHandler.</span><code><span class="memberNameLink"><a href="../PathHandler.html#startPath()">startPath</a></span>()</code></th>
<td class="colLast">
<div class="block">Invoked when the path starts.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AWTPolylineProducer.</span><code><span class="memberNameLink"><a href="../AWTPolylineProducer.html#startPoints()">startPoints</a></span>()</code></th>
<td class="colLast">
<div class="block">Implements <a href="../PointsHandler.html#startPoints()"><code>PointsHandler.startPoints()</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PointsHandler.</span><code><span class="memberNameLink"><a href="../PointsHandler.html#startPoints()">startPoints</a></span>()</code></th>
<td class="colLast">
<div class="block">Invoked when the points attribute starts.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../ParseException.html" title="class in hk.quantr.mxgraph.util.svg">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
